### php.java.bridge

# Class Util.CgiEnvironment

- `java.util.AbstractMap`

- `java.util.HashMap`

- `php.java.bridge.Util.CgiEnvironment`

Enclosing Class:
  Util

Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

`public static class Util.CgiEnvironment`
`extends java.util.HashMap`

A default CGI environment which contains a "SystemRoot" entry. Some versions of windows require it in order to function properly.

Author:
  jostb

See Also:
  Serialized Form

## Nested Class Summary

## Method Summary

### Methods inherited from class java.util.HashMap

`clear`, `clone`, `containsKey`, `containsValue`, `entrySet`, `get`, `isEmpty`, `keySet`, `put`, `putAll`, `remove`, `size`, `values`